.filter {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  display: none;
  grid-template-columns: 1fr 1fr;
  background-color: rgba(14, 14, 14, 0.5);
  z-index: 1;
}

.filter:not(.filter_type_search) {
  overflow-y: auto;
}

.filter_opened {
  overflow: hidden;
}

.filter_type_search {
  width: auto;
  position: static;
  display: flex;
  border-right: 1px solid var(--border-color);
}

.filter.show {
  display: grid;
}

.filter_type_search.show {
  display: flex;
}

.filter .filter__button-close {
  min-width: auto;
  position: fixed;
  padding: 0;
  top: 24px;
  right: 16px;
}

.filter_type_search .filter__button-close {
  display: none;
}

.filter__panel {
  padding: 60px 0;
  display: flex;
  flex-direction: column;
  background-color: var(--primary-color);
}

.filter_type_search .filter__panel {
  padding: 43px 0 60px;
}

.filter__title {
  margin-bottom: 32px;
}

.filter__content {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 300px;
}

.filter__list {
  padding: 0;
  margin: 0;
  list-style: none;
}

.filter__group {
  padding: 16px 0;
  display: flex;
  flex-direction: column-reverse;
  border-top: 1px solid var(--border-color-light);
  border-bottom: 1px solid var(--border-color-light);
}

.filter__group-button {
  padding: 0 56px 0 80px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: transparent;
  border: none;
}

.filter__list.show + .filter__group-button img {
  transform: rotate(180deg);
}

.filter__group-title {
  font-size: 18px;
}

.filter__tags-list {
  padding: 32px 0 16px 80px;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.tag__checkbox + .tag__label {
  display: flex;
  align-items: center;
  gap: 8px;
}

.tag__checkbox + .tag__label::before {
  content: "";
  width: 24px;
  height: 24px;
  display: block;
  background-image: url("/images/category/partial/_filter/unchecked.svg");
  cursor: pointer;
}

.tag__checkbox:checked + .tag__label::before {
  background-image: url("/images/category/partial/_filter/checked.svg");
}

.filter__buttons {
  padding: 0 44px;
  display: flex;
  gap: 28px;
}

.filter__buttons * {
  width: 100%;
}

.filter_type_search .filter__buttons {
  flex-direction: column;
  gap: 16px;
}

.filter_type_search .filter__buttons .btn {
  min-width: 300px;
}

@media (max-width: 992px) {
  .filter_type_search .filter__buttons .btn {
    min-width: 250px;
  }
}

@media (max-width: 768px) {
  .filter {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    grid-template-columns: 1fr 1fr;
    background-color: rgba(14, 14, 14, 0.5);
    z-index: 1;
  }

  .filter.filter_type_search {
    grid-template-columns: 1fr;
    overflow-y: auto;
  }

  .filter_type_search.show {
    display: grid;
  }

  .filter_type_search .filter__button-close {
    display: block;
  }

  .filter__tags-list {
    padding-left: 40px;
  }
}

@media (max-width: 576px) {
  .filter {
    grid-template-columns: 1fr;
  }

  .filter__panel {
    padding: 76px 0 60px;
  }

  .filter__tags-list {
    padding-left: 16px;
  }

  .filter__buttons {
    padding: 0 16px;
    flex-direction: column;
    gap: 16px;
  }
}
